# Immersive Compass

A Skyrim-style compass for Valheim designed to improve immersion in the game world, based on aedenthorn's original with fixes and QoL additions.

Adds a customizable compass to the game HUD that:
* Can rotate with the camera or player model.
* Shows nearby map marker pins.
* Can show (or hide) player pins.
* Allows you to hide specific pin names and types.
* Allows you to drop a pin at your current location.
* Allows you to auto-remove your own tombstone pins on interaction.

As with aedenthorn's original - you can change the scale of the compass and pins, distance of pins shown, and ignore specific pin names and types. You can also add an overlay and underlay image if required.

So what's changed? I've tried to fix a few game breaking bugs and add QoL pin related improvements - such as auto-removal of tombstone markers.


## Default Controls:
**Add a Pin to Current Location:** P
**Remove Nearest Pin:** RightShift + P


## Configuration
A configuration file ``BepInEx\config\Yoyo.ImmersiveCompass.cfg`` is created after starting the game. You can adjust the values in this configuration file using a standard text editor or *Config Editor* in r2modman. Most of the configuration can be changed on-the-fly, though images and keybinds need a restart.

## Installation
Unzip the contents to your ``BepInEx\plugins`` folder.


## Files Included:
* ImmersiveCompass.dll - the plugin itself.
* images/compass.png - the default compass image (aedenthorn).
* images/mask.png - the default mask image (aedenthorn).
* README.md - documentation.
* LICENSE - MIT No Attribution license.


## Thanks

* Huge thanks go out to [Azumatt](https://valheim.thunderstore.io/package/Azumatt/) (and by extension [blaxxun-boop](https://github.com/blaxxun-boop)) without their videos and template examples none of this would be possible.
* [Aedenthorn](https://github.com/aedenthorn/ValheimMods) for the original compass mod.


## License

MIT No Attribution
